Utilisation des proxy lors de la connection
04/06/2009 09:24 PM - Frédéric Barthéléry

Status: Closed Start date: 04/06/2009
Priority: Normal Due date: 04/10/2009
Assignee: Frédéric Barthéléry % Done: 100%
Category: XMPP Estimated time: 3.00 hours
Target version: Prototype before 1.5 - SFR_Version

Description

Il est possible de devoir utiliser un proxy pour se connecter. smack supporte les proxies http et socks.

Associated revisions

Revision 80:29f0d6a23321 - 04/07/2009 10:25 AM - Frédéric Barthéléry

Le proxy devrait marcher a peu pres.
Ca se connecte par le proxy mais les serveurs que j'ai essayé ne repondent pas
fixes #83

Revision 80:29f0d6a23321 - 04/07/2009 10:25 AM - Da Risk

Le proxy devrait marcher a peu pres.
Ca se connecte par le proxy mais les serveurs que j'ai essayé ne repondent pas
fixes #83

Revision 80:29f0d6a23321 - 04/07/2009 10:25 AM - Da Risk

Le proxy devrait marcher a peu pres.
Ca se connecte par le proxy mais les serveurs que j'ai essayé ne repondent pas
fixes #83

History

#1 - 04/15/2009 08:28 PM - Frédéric Barthéléry
- % Done changed from 0 to 50

#2 - 04/22/2009 12:15 PM - Vincent Véronis
- % Done changed from 50 to 90

Mise en place de I'UI.

Les infos sont sauvegardees dans les preferences.

Le proxy est bien appele lorsqu'il est 'ON'.

Voir amelioration des options par 'default’ comme le proxy_port etc.
#3 - 05/19/2009 03:19 PM - Frédéric Barthéléry

- Status changed from Assigned to Closed

- % Done changed from 90 to 100

On va dire que la feature fonctionne. Creer des tickets de type bug si il y a des problemes.
